<?php
/*
	coding by Bilal El moussaoui
	do not remove this copyright message
*/

/* 
 * from html to bbcode
 * return the bbcode
 **/


function ToBBCode($html)
{
  global $youtube,$vimeo,$googlevideo,$Dailymotion,
         $MetaCafe,$YahooVideo,$MySpaceTv;
	$conv = array(
		'<strong>(.*?)<\/strong>' => '[b]$1[/b]',
		'<em>(.*?)<\/em>' => '[i]$1[/i]',
		'<u>(.*?)<\/u>' => '[u]$1[/u]',
		'<h([1-6])>(.*?)<\/h([1-6])>' => '[h$1]$2[/h$1]',// h1|h2|h3|h4|h5|h6
		'<p>(.*?)<\/p>' => '[p]$1[/p]',
		'<hr \/>'=> '[/hr]',
		'<span style="font-size:(xx-small|x-small|small|medium|large|x-large|xx-large);">(.*?)<\/span>' => '[size=$1]$2[size]',
		'<blockquote>(.*?)<\/blockquote>' => '[quote]$1[/quote]',
		'<pre class="code">(.*?)<\/pre>' => '[code]$1[/code]',
		'<img src="(.*?)" alt="(.*?)" \/>' => '[img]$1[/img]',
		'<span style="color:(.*?);">(.*?)<\/span>' => '[color=$1]$2[/color]',
		'<span style="text-align:(left|right|justify|center);">(.*?)<\/span>' => '[align=$1]$2[/align]',
		'<a href="(.*?)">(.*?)<\/a>' => '[url=$1]$2[/url]',
		'<a href="mailto:(.*?)" title="(.*?)">(.*?)<\/a>' => '[email]$1[/email]',
		'<span style="background-color:(.*?);">(.*?)</span>' => '[bgColor=$1]$2[/bgColor]',
		'<span style="font-family:(Courier|Verdana|Impact|Tahoma|Arial|Times New Roman|Trebuchet MS);">(.*?)</span>' => '[font=$1]$2[/font]',
    '<su(p|b)\>(.*?)<\/su(p|b)\>' => '[su$1]$2[/su$1]',
    '<ul type="(.*?)"\>(.*?)<\/ul\>' => '[list=$1]$2[/list]',
    '<li\>(.*?)<\/li\>' => '[*]$1[\*]',
		);
		foreach($conv as $key => $value)
		{
			$html = preg_replace('#'.$key.'#is',$value,$html);
		}
		$html  = preg_replace_callback('#<pre class="code" lang="(php|css|js|html)">(.*?)\<\/pre>#is','__ToBBcode_callback',$html);
		return $html;
}

/*
 * from bbcode to html
 * return the html
 * */
function ToHtml($text)
{
	$conv = array(
		'\[b\](.*?)\[\/b\]' => '<strong>$1</strong>',
		'\[i\](.*?)\[\/i\]' => '<em>$1</em>',
		'\[u\](.*?)\[\/u\]' => '<u>$1</u>',
		'\[h([1-6])\](.*?)\[\/h([1-6])\]' => '<h$1>$2</h$1>',
		'\[p\](.*?)\[\/p\]' => '<p>$1</p>',
		'\[\/hr\]'=> '<hr />',
		'\[s\](.*?)\[\/s\]' => '<strike>$1</strike>',
		'\[size=(xx-small|x-small|small|medium|large|x-large|xx-large)\](.*?)\[\/size\]' => '<span style="font-size:$1;">$2</span>',
		'\[quote\](.*?)\[\/quote\]' => '<blockquote>$1</blockquote>',
		'\[color=([^\]]*)\](.*?)\[\/color\]' => '<span style="color:$1;">$2</span>',
		'\[code\](.*?)\[\/code\]' => '<pre class="code">$1</pre>',
		'\[align=(center|left|right|justify)\](.*?)\[\/align\]' => '<span style="text-align:$1;">$2</span>',
		'\[img\](.*?)\[\/img\]' => '<img src="$1" alt="$1" />',
		'\[url=([^\]]*)\](.*)\[\/url\]' => '<a href="$1">$2</a>',
		'\[email\](.*?)\[\/email\]' => '<a href="mailto:$1" title="$1">$1</a>',
		'\[bgColor=([^\]]*)\](.*?)\[\/bgColor\]' => '<span style="background-color:$1;">$2</span>',
		'\[su(p|b)\](.*?)\[\/su(p|b)\]'=> '<su$1>$2</su$1>',
		'\[list=([^\]]*)\](.+)\[\/list]' => '<ul type="$1">$2</ul>',
		'\[\*]([^\[]+)(?=(\[\*])|(<\/ul>))' => '<li>$1</li>',
 		'\[font=(Courier|Verdana|Impact|Tahoma|Arial|Times New Roman|Trebuchet MS)\](.*?)\[\/font\]' => '<span style="font-family:$1;">$2</span>'
		);
	foreach($conv as $key => $value)
	{
		$text = preg_replace('#'.$key.'#is',$value,$text);
	}
	$text  = preg_replace_callback('#\[(php|css|js|html)\](.*?)\[\/(php|css|js|html)\]#is','__code_callback',$text);
  $text  = preg_replace_callback('#\[video=(Youtube|Vimeo|Google Video|Dailymotion|MetaCafe|Yahoo Video|MySpace Tv)\](.*?)\[\/video\]#is', '__video_callback', $text);
	return $text;
} 

/*
 * from bbcode to html code function callback
 **/
function __video_callback($matches)
{
    if($matches[1] == "Youtube")
   {
		   if((strstr($matches[2],'http://www.')) or (strstr($matches[2],'http://')) or (strstr($matches[2],'='))){
		   	$array = explode('=', $matches[2]);
			$value = $array[1];
			$array = explode('&', $value);
			$value2 = $array[0];
		    }else{
		    $value2 = $matches[2];
		    }
        return '<object width="640" height="385">
                <param name="movie" value="http://www.youtube.com/v/'.$value2.'?rel=0"></param>
                <param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param>
                <embed src="http://www.youtube.com/v/'.$value2.'?rel=0" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="640" height="385"></embed></object>';
    }
    else if($matches[1] == "Vimeo")
    {
        return '<iframe src="'.$matches[2].'" width="400" height="225" frameborder="0"></iframe>';
    }
    else if($matches[1] == "Google Video")
    {
        return '<embed id="VideoPlayback" src="'.$matches[2].'" allowFullScreen="true" allowScriptAccess="always"
                    type="application/x-shockwave-flash"></embed>';
    }
    else if($matches[1] == "Dailymotion")
    {
        return '<object width="480" height="320">
                <param name="movie" value="'.$matches[2].'">
                </param>
                <param name="allowFullScreen" value="true"></param>
                <param name="allowScriptAccess" value="always"></param>
                <embed type="application/x-shockwave-flash"
                src="'.$matches[2].'"
                width="480" height="320" allowfullscreen="true" allowscriptaccess="always">
                </embed></object>';
    }
    else if($matches[1] == "MetaCafe")
    {
        return '<embed flashVars="playerVars=showStats=yes|autoPlay=no|videoTitle=Magnus Paajarvi Penalty Shot" src="'.$matches[2].'" width="540"
                height="334" wmode="transparent" allowFullScreen="true" allowScriptAccess="always" name="Metacafe_5648314"
                pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash"></embed>';

    }
    else if($matches[1] == "Yahoo Video")
    {
        return '<object width="512" height="322"><param name="movie" value="'.$matches[2].'" />
                <param name="allowFullScreen" value="true" /><param name="AllowScriptAccess" VALUE="always" />
                <param name="bgcolor" value="#000000" /><param name="flashVars"
                 value="id=23524135&vid=8675436&lang=fr-fr&intl=fr&thumbUrl=http%3A//l.yimg.com/a/i/us/sch/cn/video06/8675436_rndb8b3d92c_19.jpg&embed=1" />
                 <embed src="http://d.yimg.com/static.video.yahoo.com/yep/YV_YEP.swf?ver=2.2.46" type="application/x-shockwave-flash"
                 width="512" height="322" allowFullScreen="true" AllowScriptAccess="always" bgcolor="#000000"
                 flashVars="id=23524135&vid=8675436&lang=fr-fr&intl=fr&thumbUrl=http%3A//l.yimg.com/a/i/us/sch/cn/video06/8675436_rndb8b3d92c_19.jpg&embed=1" >
                 </embed></object>';
    }
    else if($matches[1] == "MySpace Tv")
    {
        return '<object width="425px" height="360px">
            <param name="allowScriptAccess" value="always" />
            <param name="allowFullScreen" value="true"/><param name="wmode" value="transparent" />
            <param name="movie" value="'.$matches[2].'"/>
            <embed src="'.$matches[2].'" width="425"
                height="360" allowFullScreen="true" type="application/x-shockwave-flash" wmode="transparent"
                allowScriptAccess="always"></embed></object>';
    }
    else
    {
        return false;
    }
}
function __code_callback($matches)
{
	$source = str_replace("<br />", "\r", $matches[2]);
	$source = html_entity_decode($source); 
	return '<pre class="code" lang="'.$matches[3].'">'.Strip(trim($source)).'</pre>';
}
/*
 * from html to bbcode code function callback
 **/
function __ToBBcode_callback($matches)
{
  $text = preg_replace("/\r\n|\r|\n/", "<br />", $text);
	$source = html_entity_decode($source); 
	return '['.$matches[3].']'.Strip($source).'[/'.$matches[3].']';
}
/*
 * stripslashes function
 * checking if magic quotes is active
 * return the stripslashes text
 **/
function Strip($var)
{
	if(get_magic_quotes_gpc() == true)
	{
		$var = stripslashes(stripslashes($var));
	}
	else
	{
		$var = stripslashes($var);
	}
	return $var;
}
?>