// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2008 Jay Salvat
// http://markitup.jaysalvat.com/
// ----------------------------------------------------------------------------
// BBCODE
// ----------------------------------------------------------------------------
// Basic set. Feel free to add more tags
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2010 Bilal El Moussaoui
// ----------------------------------------------------------------------------
mySettings = {
    onShiftEnter:    {keepDefault:false, replaceWith:'<br />\n'},
    onCtrlEnter:     {keepDefault:false, openWith:'\n<p>', closeWith:'</p>\n'},
    onTab:           {keepDefault:false, openWith:'     '},
    markupSet:  [
        {name:lang['heading'][1], openWith:'[h1]', closeWith:'[/h1]', placeHolder:lang['titleHere']  },
        {name:lang['heading'][2], openWith:'[h2]', closeWith:'[/h2]', placeHolder:lang['titleHere']  },
        {name:lang['heading'][3], openWith:'[h3]', closeWith:'[/h3]', placeHolder:lang['titleHere']  },
        {name:lang['heading'][4], openWith:'[h4]', closeWith:'[/h4]', placeHolder:lang['titleHere']  },
        {name:lang['heading'][5], openWith:'[h5]', closeWith:'[/h5]', placeHolder:lang['titleHere']  },
        {name:lang['heading'][6], openWith:'[h6]', closeWith:'[/h6]', placeHolder:lang['titleHere']  },
        {name:lang['paragraphe'], openWith:'[p]', closeWith:'[/p]', placeHolder:lang['paragraphehere'] },
        {separator:'---------------' },
    		{name:lang['bold'], openWith:'[b]', closeWith:'[/b]' ,placeHolder:lang['texthere']},
    		{name:lang['italic'], openWith:'[i]', closeWith:'[/i]' ,placeHolder:lang['texthere']  },
    		{name:lang['underline'], openWith:'[u]', closeWith:'[/u]' ,placeHolder:lang['texthere'] },
    		{name:lang['stroke'], openWith:'[s]', closeWith:'[/s]' ,placeHolder:lang['texthere'] },
    		{name:lang['hrline'], openWith:'[/hr]'},
    		{name:lang['sup'],openWith:'[sup]',closeWith:'[/sup]',placeHolder:lang['texthere']  },
    		{name:lang['sub'],openWith:'[sub]',closeWith:'[/sub]',placeHolder:lang['texthere']  },
        {separator:'---------------' },
        {name:lang['align']['center'], openWith:'[align=center]', closeWith:'[/align]', placeHolder:lang['texthere']  },
        {name:lang['align']['justify'], openWith:'[align=justify]', closeWith:'[/align]', placeHolder:lang['texthere']  },
        {name:lang['align']['right'], openWith:'[align=right]', closeWith:'[/align]', placeHolder:lang['texthere'] },
    		{name:lang['align']['left'] ,openWith:'[align=left]', closeWith:'[/align]', placeHolder:lang['texthere']  },
        {separator:'---------------' },
    		{name:lang['image'], replaceWith:'[img][![URL de l\'images:!:http://]!][/img]' },
        {dropMenu: [
    		{name:lang['video']['Flash'], openWith:'[flash WIDTH=640 HEIGHT=385]', closeWith:'[/flash]', placeHolder:lang['flashlink'] },
    		{name:lang['video']['Youtube'], openWith:'[video=Youtube]', closeWith:'[/video]', placeHolder:lang['videolink'] },
            {name: lang['video']['Vimeo'], openWith:'[video=Vimeo]', closeWith:'[/video]',  placeHolder:lang['videolink']  },
            {name: lang['video']['Google Video'], openWith:'[video=Google Video]', closeWith:'[/video]', placeHolder:lang['videolink']  },
            {name: lang['video']['Dailymotion'], openWith:'[video=Dailymotion]', closeWith:'[/video]',  placeHolder:lang['videolink']  },
            {name: lang['video']['MySpace Tv'], openWith:'[video=MySpace Tv]', closeWith:'[/video]', placeHolder:lang['videolink']  },
            {name: lang['video']['Yahoo Video'] , openWith:'[video=Yahoo Video]', closeWith:'[/video]',  placeHolder:lang['videolink'] },
            {name: lang['video']['MetaCafe'], openWith:'[video=MetaCafe]', closeWith:'[/video]',  placeHolder:lang['videolink'] },
        ]},
    		{name:lang['url'], openWith:'[url=[![Link:!:http://]!]]', closeWith:'[/url]', placeHolder: lang['urlhere'] },
    		{name:lang['email'], openWith:'[email][![Email:!:example@example.com]!][/email]', placeHolder: lang['emailhere']},
    		{separator:'---------------' },
		    {dropMenu: [
  		  {name:lang['code']['simple'], openWith:'[code]', closeWith:'[/code]', placeHolder:lang['codeHere'] },
            {name:lang['code']['php'], openWith:'[php]', closeWith:'[/php]', placeHolder:lang['codeHere'] },
            {name:lang['code']['css'], openWith:'[css]', closeWith:'[/css]', placeHolder:lang['codeHere'] },
            {name:lang['code']['js'], openWith:'[js]', closeWith:'[/js]', placeHolder:lang['codeHere'] },
            {name:lang['code']['html'], openWith:'[html]', closeWith:'[/html]', placeHolder:lang['codeHere'] },
        ]},
    		{name:lang['quote'], openWith:'[quote]', closeWith:'[/quote]', placeHolder:lang['texthere'] },
    		{separator:'---------------' },
    		{name:lang['fontsize'], dropMenu :[
              {name:lang['fontssize']['XX Small'], openWith:'[size=xx-small]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['X Small'], openWith:'[size=x-small]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['Small'], openWith:'[size=small]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['Medium'], openWith:'[size=medium]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['Large'], openWith:'[size=large]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['X Large'], openWith:'[size=x-large]', closeWith:'[/size]', placeHolder:lang['texthere'] },
              {name:lang['fontssize']['XX Large'], openWith:'[size=xx-large]', closeWith:'[/size]', placeHolder:lang['texthere'] }
    		]},
    		{name:lang['fontcolor'],dropMenu: [
                  {openWith:'[color=#800000]', closeWith:'[/color]', className:"col1-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FF0000]', closeWith:'[/color]', className:"col1-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FF4500]', closeWith:'[/color]', className:"col1-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FF6347]', closeWith:'[/color]', className:"col2-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FFDAB9]', closeWith:'[/color]', className:"col2-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#8B4513]', closeWith:'[/color]', className:"col2-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#DAA520]', closeWith:'[/color]', className:"col3-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FFA500]', closeWith:'[/color]', className:"col3-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FFD700]', closeWith:'[/color]', className:"col3-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FFFFE0]', closeWith:'[/color]', className:"col4-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#006400]', closeWith:'[/color]', className:"col4-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#6B8E23]', closeWith:'[/color]', className:"col4-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#808000]', closeWith:'[/color]', className:"col5-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#32CD32]', closeWith:'[/color]', className:"col5-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#98FB98]', closeWith:'[/color]', className:"col5-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#2F4F4F]', closeWith:'[/color]', className:"col6-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#708090]', closeWith:'[/color]', className:"col6-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#4682B4]', closeWith:'[/color]', className:"col6-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#87CEEB]', closeWith:'[/color]', className:"col7-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#E0FFFF]', closeWith:'[/color]', className:"col7-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#000080]', closeWith:'[/color]', className:"col7-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#0000CD]', closeWith:'[/color]', className:"col8-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#1E90FF]', closeWith:'[/color]', className:"col8-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#00BFFF]', closeWith:'[/color]', className:"col8-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#87CEFA]', closeWith:'[/color]', className:"col9-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#4B0082]', closeWith:'[/color]', className:"col9-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#483D8B]', closeWith:'[/color]', className:"col9-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#9400D3]', closeWith:'[/color]', className:"col10-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#9370DB]', closeWith:'[/color]', className:"col10-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#E6E6FA]', closeWith:'[/color]', className:"col10-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#800080]', closeWith:'[/color]', className:"col11-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#C71585]', closeWith:'[/color]', className:"col11-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FF1493]', closeWith:'[/color]', className:"col11-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FF69B4]', closeWith:'[/color]', className:"col12-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#DDA0DD]', closeWith:'[/color]', className:"col12-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#000000]', closeWith:'[/color]', className:"col12-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#696969]', closeWith:'[/color]', className:"col13-1", placeHolder:lang['texthere'] },
                  {openWith:'[color=#A9A9A9]', closeWith:'[/color]', className:"col13-2", placeHolder:lang['texthere'] },
                  {openWith:'[color=#DCDCDC]', closeWith:'[/color]', className:"col13-3", placeHolder:lang['texthere'] },
                  {openWith:'[color=#FFFFFF]', closeWith:'[/color]', className:"col14-1", placeHolder:lang['texthere'] },
          ]},
	       {name:lang['fontbgcolor'],dropMenu: [
              {openWith:'[bgColor=#800000]', closeWith:'[/bgColor]', className:"col1-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FF0000]', closeWith:'[/bgColor]', className:"col1-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FF4500]', closeWith:'[/bgColor]', className:"col1-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FF6347]', closeWith:'[/bgColor]', className:"col2-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FFDAB9]', closeWith:'[/bgColor]', className:"col2-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#8B4513]', closeWith:'[/bgColor]', className:"col2-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#DAA520]', closeWith:'[/bgColor]', className:"col3-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FFA500]', closeWith:'[/bgColor]', className:"col3-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FFD700]', closeWith:'[/bgColor]', className:"col3-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FFFFE0]', closeWith:'[/bgColor]', className:"col4-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#006400]', closeWith:'[/bgColor]', className:"col4-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#6B8E23]', closeWith:'[/bgColor]', className:"col4-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#808000]', closeWith:'[/bgColor]', className:"col5-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#32CD32]', closeWith:'[/bgColor]', className:"col5-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#98FB98]', closeWith:'[/bgColor]', className:"col5-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#2F4F4F]', closeWith:'[/bgColor]', className:"col6-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#708090]', closeWith:'[/bgColor]', className:"col6-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#4682B4]', closeWith:'[/bgColor]', className:"col6-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#87CEEB]', closeWith:'[/bgColor]', className:"col7-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#E0FFFF]', closeWith:'[/bgColor]', className:"col7-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#000080]', closeWith:'[/bgColor]', className:"col7-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#0000CD]', closeWith:'[/bgColor]', className:"col8-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#1E90FF]', closeWith:'[/bgColor]', className:"col8-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#00BFFF]', closeWith:'[/bgColor]', className:"col8-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#87CEFA]', closeWith:'[/bgColor]', className:"col9-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#4B0082]', closeWith:'[/bgColor]', className:"col9-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#483D8B]', closeWith:'[/bgColor]', className:"col9-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#9400D3]', closeWith:'[/bgColor]', className:"col10-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#9370DB]', closeWith:'[/bgColor]', className:"col10-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#E6E6FA]', closeWith:'[/bgColor]', className:"col10-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#800080]', closeWith:'[/bgColor]', className:"col11-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#C71585]', closeWith:'[/bgColor]', className:"col11-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FF1493]', closeWith:'[/bgColor]', className:"col11-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FF69B4]', closeWith:'[/bgColor]', className:"col12-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#DDA0DD]', closeWith:'[/bgColor]', className:"col12-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#000000]', closeWith:'[/bgColor]', className:"col12-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#696969]', closeWith:'[/bgColor]', className:"col13-1", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#A9A9A9]', closeWith:'[/bgColor]', className:"col13-2", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#DCDCDC]', closeWith:'[/bgColor]', className:"col13-3", placeHolder:lang['texthere'] },
              {openWith:'[bgColor=#FFFFFF]', closeWith:'[/bgColor]', className:"col14-1", placeHolder:lang['texthere'] },
       ]},
  	   {name:lang['fonts'],dropMenu: [
            {name:lang['fontsfamily']['Tahoma'],openWith:'[font=Tahoma]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Arial'],openWith:'[font=Arial]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Courier'],openWith:'[font=Courier]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Verdana'],openWith:'[font=Verdana]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Times New Roman'],openWith:'[font=Times New Roman]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Trebuchet MS'],openWith:'[font=Trebuchet MS]', closeWith:'[/font]', placeHolder:lang['texthere'] },
            {name:lang['fontsfamily']['Impact'],openWith:'[font=Impact]', closeWith:'[/font]',placeHolder:lang['texthere'] }
        ]},
      {separator:'---------------' },
      {name:lang['heading'][4], openWith:'[list=numbers]', closeWith:'[/list]' },
      {name:lang['heading'][5], openWith:'[list=circle]', closeWith:'[/list]' },
      {name:lang['heading'][6], openWith:'[*]' },
              
	]
}
